---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libfollowref004.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2B00, symSize: 0x2A0 }
  - { offsetInCU: 0x46F, offset: 0x46F, size: 0x8, addend: 0x0, symName: _g_fakeUserData, symObjAddr: 0x50D40, symBinAddr: 0x8260, symSize: 0x0 }
  - { offsetInCU: 0x484, offset: 0x484, size: 0x8, addend: 0x0, symName: _g_userDataError, symObjAddr: 0x50D44, symBinAddr: 0x8264, symSize: 0x0 }
  - { offsetInCU: 0x499, offset: 0x499, size: 0x8, addend: 0x0, symName: _g_wrongHeapCallbacks, symObjAddr: 0x50D48, symBinAddr: 0x8268, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_refKindStr, symObjAddr: 0xE3C0, symBinAddr: 0x7020, symSize: 0x0 }
  - { offsetInCU: 0xB2D, offset: 0xB2D, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50DD0, symBinAddr: 0x82F0, symSize: 0x0 }
  - { offsetInCU: 0xB54, offset: 0xB54, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52D10, symBinAddr: 0xA230, symSize: 0x0 }
  - { offsetInCU: 0xB76, offset: 0xB76, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53100, symBinAddr: 0xA620, symSize: 0x0 }
  - { offsetInCU: 0xB98, offset: 0xB98, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x540A0, symBinAddr: 0xB5C0, symSize: 0x0 }
  - { offsetInCU: 0xBAD, offset: 0xBAD, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x540B0, symBinAddr: 0xB5D0, symSize: 0x0 }
  - { offsetInCU: 0xC28, offset: 0xC28, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x509D0, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0xC33, offset: 0xC33, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x509D4, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0xC3E, offset: 0xC3E, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x509D8, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0xC83, offset: 0xC83, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50B20, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0xCFC, offset: 0xCFC, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50BD8, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0xD1A, offset: 0xD1A, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50BDC, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0xD33, offset: 0xD33, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50BE0, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0xD4C, offset: 0xD4C, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50BE4, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0xD65, offset: 0xD65, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50BE8, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x9354, offset: 0x9354, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50BF0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x93DD, offset: 0x93DD, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50C00, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50C08, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x940F, offset: 0x940F, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50C10, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x9428, offset: 0x9428, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50C18, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x9441, offset: 0x9441, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50C20, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x945B, offset: 0x945B, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50C28, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x9541, offset: 0x9541, size: 0x8, addend: 0x0, symName: __ZL9g_timeout, symObjAddr: 0x50C70, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x955A, offset: 0x955A, size: 0x8, addend: 0x0, symName: __ZL15g_heapCallbacks, symObjAddr: 0x50C78, symBinAddr: 0x81C8, symSize: 0x0 }
  - { offsetInCU: 0x9573, offset: 0x9573, size: 0x8, addend: 0x0, symName: __ZL14g_jniGlobalRef, symObjAddr: 0x50D30, symBinAddr: 0x8250, symSize: 0x0 }
  - { offsetInCU: 0x958C, offset: 0x958C, size: 0x8, addend: 0x0, symName: __ZL18g_jniWeakGlobalRef, symObjAddr: 0x50D38, symBinAddr: 0x8258, symSize: 0x0 }
  - { offsetInCU: 0x95DE, offset: 0x95DE, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1780, symSize: 0x80 }
  - { offsetInCU: 0x9673, offset: 0x9673, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x16D0, symSize: 0xB0 }
  - { offsetInCU: 0x96CE, offset: 0x96CE, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x15D0, symSize: 0x100 }
  - { offsetInCU: 0x9961, offset: 0x9961, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1800, symSize: 0xC0 }
  - { offsetInCU: 0x99B3, offset: 0x99B3, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x18C0, symSize: 0x220 }
  - { offsetInCU: 0x9B98, offset: 0x9B98, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1AE0, symSize: 0xA0 }
  - { offsetInCU: 0x9C4B, offset: 0x9C4B, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1B80, symSize: 0x110 }
  - { offsetInCU: 0x9D41, offset: 0x9D41, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1C90, symSize: 0x150 }
  - { offsetInCU: 0x9E9E, offset: 0x9E9E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1DE0, symSize: 0x30 }
  - { offsetInCU: 0x9F27, offset: 0x9F27, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1E10, symSize: 0x150 }
  - { offsetInCU: 0xA11F, offset: 0xA11F, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1F60, symSize: 0x160 }
  - { offsetInCU: 0xA3DF, offset: 0xA3DF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x20C0, symSize: 0x4A0 }
  - { offsetInCU: 0xA652, offset: 0xA652, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2560, symSize: 0x1B0 }
  - { offsetInCU: 0xA86D, offset: 0xA86D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2710, symSize: 0xA0 }
  - { offsetInCU: 0xA93C, offset: 0xA93C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x27B0, symSize: 0x20 }
  - { offsetInCU: 0xA973, offset: 0xA973, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x27D0, symSize: 0x20 }
  - { offsetInCU: 0xA9AA, offset: 0xA9AA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x27F0, symSize: 0x20 }
  - { offsetInCU: 0xAB19, offset: 0xAB19, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2810, symSize: 0x1A0 }
  - { offsetInCU: 0xAE35, offset: 0xAE35, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x29B0, symSize: 0x150 }
  - { offsetInCU: 0xAFF2, offset: 0xAFF2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2DA0, symSize: 0x1D0 }
  - { offsetInCU: 0xB2EE, offset: 0xB2EE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2F70, symSize: 0x80 }
  - { offsetInCU: 0xB3B7, offset: 0xB3B7, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2FF0, symSize: 0x6C0 }
  - { offsetInCU: 0xBF2D, offset: 0xBF2D, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA720, symBinAddr: 0x4C80, symSize: 0xB0 }
  - { offsetInCU: 0xBFA4, offset: 0xBFA4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x36B0, symSize: 0x70 }
  - { offsetInCU: 0xC060, offset: 0xC060, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3720, symSize: 0xA0 }
  - { offsetInCU: 0xC13F, offset: 0xC13F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x37C0, symSize: 0x40 }
  - { offsetInCU: 0xC235, offset: 0xC235, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3800, symSize: 0x2B0 }
  - { offsetInCU: 0xC5DB, offset: 0xC5DB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3AB0, symSize: 0xC0 }
  - { offsetInCU: 0xC721, offset: 0xC721, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3B70, symSize: 0x10 }
  - { offsetInCU: 0xC7E3, offset: 0xC7E3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3B80, symSize: 0x240 }
  - { offsetInCU: 0xCA8E, offset: 0xCA8E, size: 0x8, addend: 0x0, symName: _markRefToVerify, symObjAddr: 0x66F0, symBinAddr: 0x3DC0, symSize: 0xE0 }
  - { offsetInCU: 0xCB8D, offset: 0xCB8D, size: 0x8, addend: 0x0, symName: _printHeapRefCallbackInfo, symObjAddr: 0x6830, symBinAddr: 0x3EA0, symSize: 0x150 }
  - { offsetInCU: 0xCD3E, offset: 0xCD3E, size: 0x8, addend: 0x0, symName: _wrongHeapReferenceCallback, symObjAddr: 0x6980, symBinAddr: 0x3FF0, symSize: 0xA0 }
  - { offsetInCU: 0xCE40, offset: 0xCE40, size: 0x8, addend: 0x0, symName: _wrongPrimitiveFieldCallback, symObjAddr: 0x6A20, symBinAddr: 0x4090, symSize: 0xA0 }
  - { offsetInCU: 0xCF2A, offset: 0xCF2A, size: 0x8, addend: 0x0, symName: _wrongArrayPrimitiveValueCallback, symObjAddr: 0x6AC0, symBinAddr: 0x4130, symSize: 0xA0 }
  - { offsetInCU: 0xD014, offset: 0xD014, size: 0x8, addend: 0x0, symName: _wrongStringPrimitiveValueCallback, symObjAddr: 0x6B60, symBinAddr: 0x41D0, symSize: 0xA0 }
  - { offsetInCU: 0xD132, offset: 0xD132, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x4270, symSize: 0x10 }
  - { offsetInCU: 0xD18F, offset: 0xD18F, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x4280, symSize: 0x2E0 }
  - { offsetInCU: 0xD454, offset: 0xD454, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA000, symBinAddr: 0x4560, symSize: 0x10 }
  - { offsetInCU: 0xD4C5, offset: 0xD4C5, size: 0x8, addend: 0x0, symName: _heapReferenceCallback, symObjAddr: 0xA010, symBinAddr: 0x4570, symSize: 0x100 }
  - { offsetInCU: 0xD5FF, offset: 0xD5FF, size: 0x8, addend: 0x0, symName: _primitiveFieldCallback, symObjAddr: 0xA110, symBinAddr: 0x4670, symSize: 0xF0 }
  - { offsetInCU: 0xD6FA, offset: 0xD6FA, size: 0x8, addend: 0x0, symName: _arrayPrimitiveValueCallback, symObjAddr: 0xA200, symBinAddr: 0x4760, symSize: 0xE0 }
  - { offsetInCU: 0xD7F5, offset: 0xD7F5, size: 0x8, addend: 0x0, symName: _stringPrimitiveValueCallback, symObjAddr: 0xA2E0, symBinAddr: 0x4840, symSize: 0x70 }
  - { offsetInCU: 0xD963, offset: 0xD963, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA350, symBinAddr: 0x48B0, symSize: 0x3D0 }
  - { offsetInCU: 0xDDA6, offset: 0xDDA6, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA7D0, symBinAddr: 0x4D30, symSize: 0x36A }
...
